﻿using System;
using System.Collections.Generic;
using WinRTFramework.DefaultImplementations;
using Windows.UI;
using Windows.UI.Xaml.Media;
using WinRTFramework.Interfaces.Contracts.Settings.ViewModel;


namespace ApplicationSettings.ViewModels
{
    class ContextSpecificSettingsDemoPageViewModel : DefaultPageViewModel
    {
        private Brush _backgroundColor = new SolidColorBrush(Colors.Yellow);

        public Brush BackgroundColor
        {
            get { return _backgroundColor; }
            set { _backgroundColor = value; NotifyPropertyChanged(() => BackgroundColor); }
        }

        public override IEnumerable<ISupportSettingsFlyout> GetSettingsFlyoutViewModels()
        {
            yield return new ContextSpecificSettingsViewModel() { ChangeColorDelegate = brush => BackgroundColor = brush };
        }
    }
}
