﻿using NavigationShowcase.ViewModels;
using NavigationShowcase.WinRTFrameworkConfiguration;
using WinRTFramework.DefaultImplementations;
using WinRTFramework.FrameworkConfiguration;
using WinRTFramework.Interfaces.Navigation;

// The Grid App template is documented at http://go.microsoft.com/fwlink/?LinkId=234226

namespace NavigationShowcase
{
    /// <summary>
    /// Provides application-specific behavior to supplement the default Application class.
    /// </summary>
    sealed partial class App : DefaultApplication
    {
        protected override IIoCAdapter IoCAdapter
        {
            get { return new IoCAdapter(); }
        }

        protected override IViewViewModelMapper ViewViewModelMapper
        {
            get { return new ViewViewModelMapper(IoCAdapter); }
        }

        protected override bool IsSearchSupported
        {
            get { return false; }
        }

        protected override bool NavigateToInitialPage(INavigationService navigationService)
        {
            return navigationService.Navigate<GroupedItemsPageViewModel_Showcase>("AllGroups");
        }
    }
}
