﻿using System;
using System.Windows.Input;
using WinRTFramework.Common;
using WinRTFramework.Interfaces.Navigation.ViewModel;
using Windows.ApplicationModel.Activation;

namespace ShareTarget.ViewModels
{
    class TextShareTargetViewModel : Bindable, ICareAboutNavigationFlow
    {
        public string SharedText
        {
            get { return _sharedText; }
            set { _sharedText = value; NotifyPropertyChanged(() => SharedText); }
        }

        private DelegateCommand _reportCompletedCommand;
        public ICommand ReportCompletedCommand
        {
            get
            {
                return
                    _reportCompletedCommand =
                    _reportCompletedCommand ?? new DelegateCommand(() => _shareTargetArgs.ShareOperation.ReportCompleted());
            }
        }

        private ShareTargetActivatedEventArgs _shareTargetArgs;
        private string _sharedText;

        async public void OnNavigatedTo(object navigationParameter)
        {
            _shareTargetArgs = (ShareTargetActivatedEventArgs)navigationParameter;

            SharedText = await _shareTargetArgs.ShareOperation.Data.GetTextAsync();
        }

        public void OnNavigatingFrom()
        { }

        public void OnNavigatedFrom()
        { }
    }
}
