﻿using System;
using System.Collections.Generic;
using System.Linq;
using ShareTarget.ViewModels;
using WinRTFramework.Interfaces.Contracts.Sharing;
using Windows.ApplicationModel.DataTransfer;

namespace ShareTarget.WinRTFrameworkConfiguration
{
    class SharingTargetViewModelTypeSelector : ISharingTargetViewModelTypeSelector
    {
        public Type GetViewModelTypeForSharedDataTypes(IEnumerable<string> sharedDataTypes)
        {
            if (sharedDataTypes.Contains(StandardDataFormats.Bitmap))
                return typeof (BitmapShareTargetViewModel);
            if (sharedDataTypes.Contains(StandardDataFormats.Uri))
                return typeof(UriShareTargetViewModel);
            if (sharedDataTypes.Contains(StandardDataFormats.Text))
                return typeof(TextShareTargetViewModel);

            return null;
        }
    }
}
